import bpy


class VIEW3D_OT_armored_theme_candy(bpy.types.Operator):
	''''Easily adjust your Blender Theme and Selection color.

	armoredColony.com '''
	
	bl_idname = 'view3d.armored_theme_candy'
	bl_label = 'ARMORED Theme Candy'
	bl_options = {'REGISTER', 'UNDO'}
	
	def execute(self, context):
		self.report({'ERROR'}, 'THEME CANDY now lives in the Sidebar (N-Panel)')
		return {'FINISHED'}
	
	def draw(self, context):
		self.layout.label(text='THEME CANDY now lives in the Sidebar (N-Panel)')


def drawOperator(self, context):
	layout = self.layout
	layout.separator()
	layout.operator(VIEW3D_OT_armored_theme_candy.bl_idname, text='Theme Candy')


classes = (
	VIEW3D_OT_armored_theme_candy,
)

def register():
	for cls in classes:
		bpy.utils.register_class(cls)
	bpy.types.VIEW3D_MT_view.append(drawOperator)
	

def unregister():
	for cls in classes:
		bpy.utils.unregister_class(cls)
	bpy.types.VIEW3D_MT_view.remove(drawOperator)
	