import bpy

from .. utils import theme_utils


class ThemeCandyExecutePreset(bpy.types.Operator):
	'''Execute a preset (Special Theme Candy version)'''

	bl_idname = 'script.theme_candy_execute_preset'
	bl_label = 'Execute a Python Preset (Special Theme Candy version)'
	bl_options = {'REGISTER', 'INTERNAL'}

	filepath: bpy.props.StringProperty(
		subtype='FILE_PATH',
		options={'SKIP_SAVE'},
    	)
	menu_idname: bpy.props.StringProperty(
		name='Menu ID Name',
		default='USERPREF_MT_interface_theme_presets',	# MY ADDITION.
		description='ID name of the menu this was called from',
		options={'SKIP_SAVE'},
   	 )

	def execute(self, context):
		# The original theme preset operator:
		bpy.ops.script.execute_preset(filepath=self.filepath, menu_idname=self.menu_idname)

		# POST EXECUTION:
		self.piggyback(context)
		
		return {'FINISHED'}

	def piggyback(self, context):
		theme_utils.init_color_properties(context)  # THIS is the only really essential command.


classes = (
	ThemeCandyExecutePreset,
)

def register():
	for cls in classes:
		bpy.utils.register_class(cls)
    

def unregister():
	for cls in classes:
		bpy.utils.unregister_class(cls)
    