import bpy

from .. utils import (
	addon,
	theme_utils,
)

class THEME_CANDY_OT_reset_default_theme(bpy.types.Operator):
	'''Reset default theme and menu options.

armoredColony.com '''

	bl_idname = 'theme_candy.reset_default_theme'
	bl_label = 'THEME CANDY Reset Default Theme'
	bl_options = {'REGISTER', 'INTERNAL'}

	def execute(self, context):
		self.reset_panel_properties(context)	# MAKE SURE THIS IS FIRST!!!
		bpy.ops.preferences.reset_default_theme()
		theme_utils.init_color_properties(context)
		
		return {'FINISHED'}
	

	def reset_panel_properties(self, context):
		candy_props = context.window_manager.themecandy
	
		addon.prefs().lock_updates = True	# I think I need this.
		
		candy_props.global_select_link             = False
		candy_props.object_active_link             = False
		candy_props.object_select_link             = False
		candy_props.vertex_select_link             = False
		candy_props.edge_select_link               = False
		candy_props.face_select_link               = False
		candy_props.modifier_active_link           = False
		candy_props.element_active_link            = False
		candy_props.outliner_zebra                 = True
		candy_props.outliner_active_highlight_link = False
		candy_props.outliner_active_text_link      = False

		addon.prefs().lock_updates = False


classes = (
	THEME_CANDY_OT_reset_default_theme,
)

def register():
	for cls in classes:
		bpy.utils.register_class(cls)


def unregister():
	for cls in classes:
		bpy.utils.unregister_class(cls)