import bpy

from bpy.types import Menu

# from .. utils import addon
# from bl_operators.presets import AddPresetBase

# class ThemeCandyAddThemePreset(AddPresetBase, bpy.types.Operator):
#     '''Add or remove a theme preset'''
#     bl_idname = 'wm.theme_candy_preset_add'
#     bl_label = 'THEME CANDY Add Theme Preset'
#     preset_menu = 'USERPREF_MT_theme_candy_presets'
#     preset_subdir = 'interface_theme'

# BL 4.2 Class
#=============

class USERPREF_MT_theme_candy_presets(bpy.types.Menu):
	bl_label = "Presets"
	preset_subdir = "interface_theme"
	preset_operator = "script.theme_candy_execute_preset"
	preset_type = 'XML'
	preset_xml_map = (
		("preferences.themes[0]", "Theme"),
		("preferences.ui_styles[0]", "ThemeStyle"),
	)
	# Prevent untrusted XML files "escaping" from these types.
	preset_xml_secure_types = {
		"Theme",
		"ThemeAssetShelf",
		"ThemeBoneColorSet",
		"ThemeClipEditor",
		"ThemeCollectionColor",
		"ThemeConsole",
		"ThemeDopeSheet",
		"ThemeFileBrowser",
		"ThemeFontStyle",
		"ThemeGradientColors",
		"ThemeGraphEditor",
		"ThemeImageEditor",
		"ThemeInfo",
		"ThemeNLAEditor",
		"ThemeNodeEditor",
		"ThemeOutliner",
		"ThemePanelColors",
		"ThemePreferences",
		"ThemeProperties",
		"ThemeSequenceEditor",
		"ThemeSpaceGeneric",
		"ThemeSpaceGradient",
		"ThemeSpaceListGeneric",
		"ThemeSpreadsheet",
		"ThemeStatusBar",
		"ThemeStripColor",
		"ThemeStyle",
		"ThemeTextEditor",
		"ThemeTopBar",
		"ThemeUserInterface",
		"ThemeView3D",
		"ThemeWidgetColors",
		"ThemeWidgetStateColors",
	}

	draw = Menu.draw_preset

	@staticmethod
	def reset_cb(_context, _filepath):
		bpy.ops.preferences.reset_default_theme()

	@staticmethod
	def post_cb(context, filepath):
		context.preferences.themes[0].filepath = filepath


classes = (
    USERPREF_MT_theme_candy_presets,
    # ThemeCandyAddThemePreset,
)

def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)
    